Subject: Re: [PATCH net-next 04/14] tipc: add sock dump to new netlink api

From: Richard Alpe <[email-masked]>
Date: Tue, 23 Sep 2014 13:12:47 +0200

On 09/15/2014 05:38 PM, David Miller wrote:
> From: Richard Alpe <[email-masked]>
> Date: Mon, 15 Sep 2014 09:55:24 +0200
>
>> The amount of publications a socket can have is large (~65 000). Do
>> you still think this a viable solution?
>
> Then maybe you want to have a completely separate netlink operation to
> dump the publications, the request would provide a key saying which
> socket's publications to dump.
Yes, that would be a nice thing to have.

Ideally I would like to use the existing dump framework .dumpit 
(netlink_dump_start()) but I can't figure out a way to pass the socket 
for which to dump publications. I really don't want to reinvent the 
dumping mechanism. Any suggestions?

Regards
Richard